Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryParenthesesForMethodCallWithClosureRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryParenthesesForMethodCallWithClosureRule

- If a method is called and the only parameter to that method is an inline closure then the brackets of the method call can be omitted.

  Authors:
    Marcin Erdmann

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority